Bug 1001331 - Paging interrupted if empty files are on the list
Paging interrupted if empty files are on the list
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: HornetQ (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: ER3
: EAP 6.2.0
Assigned To: Clebert Suconic
Martin Svehla
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-26 18:18 EDT by Clebert Suconic
Modified: 2013-12-15 11:22 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:22:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clebert Suconic 2013-08-26 18:18:05 EDT
Description of problem:

If the system created an empty file on paging the flow of messages would be interrupted.

Version-Release number of selected component (if applicable):

2.3.0

How reproducible:

Always

Steps to Reproduce:
1. Create a few empty files before the first number available on any page folder. 
   Example:

Say you have these two files
   000025.PAGE
   000026.PAGE


Create 000024.PAGE and 000023.PAGE empty
   
2. Restart the server
3. Try to consume messages

Actual results:

No messages are returned

Expected results:

The messages should still arrive

Additional info:

Work around: remove the empty files before restart.
Comment 1 Clebert Suconic 2013-08-26 18:20:24 EDT
PR sent: https://github.com/hornetq/hornetq/pull/1240
Comment 3 Martin Svehla 2013-10-07 04:22:29 EDT
Tested with ER4/2.3.8.Final

Note You need to log in before you can comment on or make changes to this bug.